Bootstrap?

classic Classic list List threaded Threaded
14 messages Options
Reply | Threaded
Open this post in threaded view
|

Bootstrap?

Pedro Lino-3
Hi all

I have built AOO from source in previous versions using the step-by-step guide

https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step

Currently (in trunk and all branches from https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file (only bootstrap.1 which is not set to execute) so

./bootstrap

doesn't work. Oddly enough I downloaded build 4.1.5 which I build successfully in the past but it only contains bootstrap.1

Am I missing something?

Regards,
Pedro
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Nikhil Gupta
Hi,
This is the same problem which occurred when I first install AOO,
For bootstraping the project,
First you have to completely satisfy all the General requirements  which is
described in this thread-
https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO

especially unowinreg.dll which you have to save main/external/unowinreg

then follow this mail which i followed for configuration
Peter Kovacs <[hidden email]>

 to dev
You need to do something like:

autoconf

./configure
--with-epm-url=
https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
--with-dmake-url=https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
--with-lang="en-US de fr it pt ja"
--enable-wiki-publisher
--enable-verbose
--without-stlport
--enable-category-b
--enable-opengl
--enable-dbus
--without-junit
--with-package-format="installed archive deb"
--enable-bundled-dictionaries
--with-vendor=ASF buildbot - NOT FOR RELEASE
--with-build-version=%(today)s-Rev.%(got_revision)s

After that has been finished successfull you can bootstrap



On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <[hidden email]> wrote:

> Hi all
>
> I have built AOO from source in previous versions using the step-by-step
> guide
>
>
> https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>
> Currently (in trunk and all branches from
> https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
> (only bootstrap.1 which is not set to execute) so
>
> ./bootstrap
>
> doesn't work. Oddly enough I downloaded build 4.1.5 which I build
> successfully in the past but it only contains bootstrap.1
>
> Am I missing something?
>
> Regards,
> Pedro
>
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Pedro Lino-3
Hi Nikhil, all

I forgot to mention that I'm building now (as I did before) under Ubuntu 16.04 x64 so I don't need any dll
Any ideas what happened to bootstrap? Should I simply chmod and execute bootstrap.1?
Should I modify the step-by-step guide?

Regards,
Pedro

>     On February 3, 2019 at 2:32 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>
>
>     Hi,
>     This is the same problem which occurred when I first install AOO,
>     For bootstraping the project,
>     First you have to completely satisfy all the General requirements which is
>     described in this thread-
>     https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>
>     especially unowinreg.dll which you have to save main/external/unowinreg
>
>     then follow this mail which i followed for configuration
>     Peter Kovacs < [hidden email] mailto:[hidden email] >
>
>     to dev
>     You need to do something like:
>
>     autoconf
>
>     ./configure
>     --with-epm-url=
>     https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>     --with-dmake-url= https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>     --with-lang="en-US de fr it pt ja"
>     --enable-wiki-publisher
>     --enable-verbose
>     --without-stlport
>     --enable-category-b
>     --enable-opengl
>     --enable-dbus
>     --without-junit
>     --with-package-format="installed archive deb"
>     --enable-bundled-dictionaries
>     --with-vendor=ASF buildbot - NOT FOR RELEASE
>     --with-build-version=%(today)s-Rev.%(got_revision)s
>
>     After that has been finished successfull you can bootstrap
>
>
>
>     On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>
>
>         > >         Hi all
> >
> >     >
>         > >         I have built AOO from source in previous versions using the step-by-step
> >         guide
> >
> >     >     >
>
>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
> >
> >     >
>         > >         Currently (in trunk and all branches from
> >         https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
> >         (only bootstrap.1 which is not set to execute) so
> >
> >     >
>         > >         ./bootstrap
> >
> >     >
>         > >         doesn't work. Oddly enough I downloaded build 4.1.5 which I build
> >         successfully in the past but it only contains bootstrap.1
> >
> >     >
>         > >         Am I missing something?
> >
> >     >
>         > >         Regards,
> >         Pedro
> >
> >     >
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Patricia Shanahan
I suggest rerunning the configure script. If it is successful, a
bootstrap should appear. If not, you need to investigate what went wrong
with configure.

On 2/3/2019 7:45 AM, Pedro Lino wrote:

> Hi Nikhil, all
>
> I forgot to mention that I'm building now (as I did before) under Ubuntu 16.04 x64 so I don't need any dll
> Any ideas what happened to bootstrap? Should I simply chmod and execute bootstrap.1?
> Should I modify the step-by-step guide?
>
> Regards,
> Pedro
>
>>      On February 3, 2019 at 2:32 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>>
>>
>>      Hi,
>>      This is the same problem which occurred when I first install AOO,
>>      For bootstraping the project,
>>      First you have to completely satisfy all the General requirements which is
>>      described in this thread-
>>      https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>>
>>      especially unowinreg.dll which you have to save main/external/unowinreg
>>
>>      then follow this mail which i followed for configuration
>>      Peter Kovacs < [hidden email] mailto:[hidden email] >
>>
>>      to dev
>>      You need to do something like:
>>
>>      autoconf
>>
>>      ./configure
>>      --with-epm-url=
>>      https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>>      --with-dmake-url= https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>>      --with-lang="en-US de fr it pt ja"
>>      --enable-wiki-publisher
>>      --enable-verbose
>>      --without-stlport
>>      --enable-category-b
>>      --enable-opengl
>>      --enable-dbus
>>      --without-junit
>>      --with-package-format="installed archive deb"
>>      --enable-bundled-dictionaries
>>      --with-vendor=ASF buildbot - NOT FOR RELEASE
>>      --with-build-version=%(today)s-Rev.%(got_revision)s
>>
>>      After that has been finished successfull you can bootstrap
>>
>>
>>
>>      On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>>
>>
>>          > >         Hi all
>>>
>>>      >
>>          > >         I have built AOO from source in previous versions using the step-by-step
>>>          guide
>>>
>>>      >     >
>>
>>          > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>>>
>>>      >
>>          > >         Currently (in trunk and all branches from
>>>          https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
>>>          (only bootstrap.1 which is not set to execute) so
>>>
>>>      >
>>          > >         ./bootstrap
>>>
>>>      >
>>          > >         doesn't work. Oddly enough I downloaded build 4.1.5 which I build
>>>          successfully in the past but it only contains bootstrap.1
>>>
>>>      >
>>          > >         Am I missing something?
>>>
>>>      >
>>          > >         Regards,
>>>          Pedro
>>>
>>>      >
>

---
This email has been checked for viruses by AVG.
https://www.avg.com


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Pedro Lino-3
> I suggest rerunning the configure script. If it is successful, a
> bootstrap should appear. If not, you need to investigate what went wrong
> with configure.

I get two errors during configure
configure: WARNING: unrecognized options: --disable-binfilter
and
configure: error: cups/cups.h could not be found. libcupsys2-dev or cups???-devel missing?

I tried to install libcupsys2 but got "Unable to locate package libcupsys2-dev

Thanks!

> On 2/3/2019 7:45 AM, Pedro Lino wrote:
> > Hi Nikhil, all
> >
> > I forgot to mention that I'm building now (as I did before) under Ubuntu 16.04 x64 so I don't need any dll
> > Any ideas what happened to bootstrap? Should I simply chmod and execute bootstrap.1?
> > Should I modify the step-by-step guide?
> >
> > Regards,
> > Pedro
> >
> >>      On February 3, 2019 at 2:32 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
> >>
> >>
> >>      Hi,
> >>      This is the same problem which occurred when I first install AOO,
> >>      For bootstraping the project,
> >>      First you have to completely satisfy all the General requirements which is
> >>      described in this thread-
> >>      https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
> >>
> >>      especially unowinreg.dll which you have to save main/external/unowinreg
> >>
> >>      then follow this mail which i followed for configuration
> >>      Peter Kovacs < [hidden email] mailto:[hidden email] >
> >>
> >>      to dev
> >>      You need to do something like:
> >>
> >>      autoconf
> >>
> >>      ./configure
> >>      --with-epm-url=
> >>      https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
> >>      --with-dmake-url= https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
> >>      --with-lang="en-US de fr it pt ja"
> >>      --enable-wiki-publisher
> >>      --enable-verbose
> >>      --without-stlport
> >>      --enable-category-b
> >>      --enable-opengl
> >>      --enable-dbus
> >>      --without-junit
> >>      --with-package-format="installed archive deb"
> >>      --enable-bundled-dictionaries
> >>      --with-vendor=ASF buildbot - NOT FOR RELEASE
> >>      --with-build-version=%(today)s-Rev.%(got_revision)s
> >>
> >>      After that has been finished successfull you can bootstrap
> >>
> >>
> >>
> >>      On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
> >>
> >>
> >>          > >         Hi all
> >>>
> >>>      >
> >>          > >         I have built AOO from source in previous versions using the step-by-step
> >>>          guide
> >>>
> >>>      >     >
> >>
> >>          > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
> >>>
> >>>      >
> >>          > >         Currently (in trunk and all branches from
> >>>          https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
> >>>          (only bootstrap.1 which is not set to execute) so
> >>>
> >>>      >
> >>          > >         ./bootstrap
> >>>
> >>>      >
> >>          > >         doesn't work. Oddly enough I downloaded build 4.1.5 which I build
> >>>          successfully in the past but it only contains bootstrap.1
> >>>
> >>>      >
> >>          > >         Am I missing something?
> >>>
> >>>      >
> >>          > >         Regards,
> >>>          Pedro
> >>>
> >>>      >
> >
>
> ---
> This email has been checked for viruses by AVG.
> https://www.avg.com
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Peter Kovacs-3
In reply to this post by Pedro Lino-3
The DLL is also an requirement to be there. Somewhere it says why.

On 03.02.19 16:45, Pedro Lino wrote:

> Hi Nikhil, all
>
> I forgot to mention that I'm building now (as I did before) under Ubuntu 16.04 x64 so I don't need any dll
> Any ideas what happened to bootstrap? Should I simply chmod and execute bootstrap.1?
> Should I modify the step-by-step guide?
>
> Regards,
> Pedro
>
>>     On February 3, 2019 at 2:32 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>>
>>
>>     Hi,
>>     This is the same problem which occurred when I first install AOO,
>>     For bootstraping the project,
>>     First you have to completely satisfy all the General requirements which is
>>     described in this thread-
>>     https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>>
>>     especially unowinreg.dll which you have to save main/external/unowinreg
>>
>>     then follow this mail which i followed for configuration
>>     Peter Kovacs < [hidden email] mailto:[hidden email] >
>>
>>     to dev
>>     You need to do something like:
>>
>>     autoconf
>>
>>     ./configure
>>     --with-epm-url=
>>     https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>>     --with-dmake-url= https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>>     --with-lang="en-US de fr it pt ja"
>>     --enable-wiki-publisher
>>     --enable-verbose
>>     --without-stlport
>>     --enable-category-b
>>     --enable-opengl
>>     --enable-dbus
>>     --without-junit
>>     --with-package-format="installed archive deb"
>>     --enable-bundled-dictionaries
>>     --with-vendor=ASF buildbot - NOT FOR RELEASE
>>     --with-build-version=%(today)s-Rev.%(got_revision)s
>>
>>     After that has been finished successfull you can bootstrap
>>
>>
>>
>>     On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>>
>>
>>         > >         Hi all
>>>     >
>>         > >         I have built AOO from source in previous versions using the step-by-step
>>>         guide
>>>
>>>     >     >
>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>>>     >
>>         > >         Currently (in trunk and all branches from
>>>         https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
>>>         (only bootstrap.1 which is not set to execute) so
>>>
>>>     >
>>         > >         ./bootstrap
>>>     >
>>         > >         doesn't work. Oddly enough I downloaded build 4.1.5 which I build
>>>         successfully in the past but it only contains bootstrap.1
>>>
>>>     >
>>         > >         Am I missing something?
>>>     >
>>         > >         Regards,
>>>         Pedro
>>>
>>>     >

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Pedro Lino-3

> On February 3, 2019 at 4:14 PM Peter Kovacs <[hidden email]> wrote:
>
>
> The DLL is also an requirement to be there. Somewhere it says why.

Yes, it is required to build the ODK but I'm using the --disable-odk switch (as described in the step-by-=step guide)
In any case, I never downloaded that dll in the past and have successfully compiled functional Linux x64 installers and binaries

Thanks!

>
> On 03.02.19 16:45, Pedro Lino wrote:
> > Hi Nikhil, all
> >
> > I forgot to mention that I'm building now (as I did before) under Ubuntu 16.04 x64 so I don't need any dll
> > Any ideas what happened to bootstrap? Should I simply chmod and execute bootstrap.1?
> > Should I modify the step-by-step guide?
> >
> > Regards,
> > Pedro
> >
> >>     On February 3, 2019 at 2:32 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
> >>
> >>
> >>     Hi,
> >>     This is the same problem which occurred when I first install AOO,
> >>     For bootstraping the project,
> >>     First you have to completely satisfy all the General requirements which is
> >>     described in this thread-
> >>     https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
> >>
> >>     especially unowinreg.dll which you have to save main/external/unowinreg
> >>
> >>     then follow this mail which i followed for configuration
> >>     Peter Kovacs < [hidden email] mailto:[hidden email] >
> >>
> >>     to dev
> >>     You need to do something like:
> >>
> >>     autoconf
> >>
> >>     ./configure
> >>     --with-epm-url=
> >>     https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
> >>     --with-dmake-url= https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
> >>     --with-lang="en-US de fr it pt ja"
> >>     --enable-wiki-publisher
> >>     --enable-verbose
> >>     --without-stlport
> >>     --enable-category-b
> >>     --enable-opengl
> >>     --enable-dbus
> >>     --without-junit
> >>     --with-package-format="installed archive deb"
> >>     --enable-bundled-dictionaries
> >>     --with-vendor=ASF buildbot - NOT FOR RELEASE
> >>     --with-build-version=%(today)s-Rev.%(got_revision)s
> >>
> >>     After that has been finished successfull you can bootstrap
> >>
> >>
> >>
> >>     On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
> >>
> >>
> >>         > >         Hi all
> >>>     >
> >>         > >         I have built AOO from source in previous versions using the step-by-step
> >>>         guide
> >>>
> >>>     >     >
> >>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
> >>>     >
> >>         > >         Currently (in trunk and all branches from
> >>>         https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
> >>>         (only bootstrap.1 which is not set to execute) so
> >>>
> >>>     >
> >>         > >         ./bootstrap
> >>>     >
> >>         > >         doesn't work. Oddly enough I downloaded build 4.1.5 which I build
> >>>         successfully in the past but it only contains bootstrap.1
> >>>
> >>>     >
> >>         > >         Am I missing something?
> >>>     >
> >>         > >         Regards,
> >>>         Pedro
> >>>
> >>>     >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Nikhil Gupta
In reply to this post by Pedro Lino-3
Hi,
What I got to know is that binfilter  was disabled to reduce the running
time in openoffice old versions, so there may be the case of this package
is removed from the newer versions.Correct me if i am wrong.
and for installing libcups use apt-get install libcups2-dev. It worked for
me.

On Sun, Feb 3, 2019 at 10:01 PM Pedro Lino <[hidden email]> wrote:

> > I suggest rerunning the configure script. If it is successful, a
> > bootstrap should appear. If not, you need to investigate what went wrong
> > with configure.
>
> I get two errors during configure
> configure: WARNING: unrecognized options: --disable-binfilter
> and
> configure: error: cups/cups.h could not be found. libcupsys2-dev or
> cups???-devel missing?
>
> I tried to install libcupsys2 but got "Unable to locate package
> libcupsys2-dev
>
> Thanks!
>
> > On 2/3/2019 7:45 AM, Pedro Lino wrote:
> > > Hi Nikhil, all
> > >
> > > I forgot to mention that I'm building now (as I did before) under
> Ubuntu 16.04 x64 so I don't need any dll
> > > Any ideas what happened to bootstrap? Should I simply chmod and
> execute bootstrap.1?
> > > Should I modify the step-by-step guide?
> > >
> > > Regards,
> > > Pedro
> > >
> > >>      On February 3, 2019 at 2:32 PM Nikhil Gupta <
> [hidden email] mailto:[hidden email] > wrote:
> > >>
> > >>
> > >>      Hi,
> > >>      This is the same problem which occurred when I first install AOO,
> > >>      For bootstraping the project,
> > >>      First you have to completely satisfy all the General
> requirements which is
> > >>      described in this thread-
> > >>
> https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
> > >>
> > >>      especially unowinreg.dll which you have to save
> main/external/unowinreg
> > >>
> > >>      then follow this mail which i followed for configuration
> > >>      Peter Kovacs < [hidden email] mailto:[hidden email] >
> > >>
> > >>      to dev
> > >>      You need to do something like:
> > >>
> > >>      autoconf
> > >>
> > >>      ./configure
> > >>      --with-epm-url=
> > >>
> https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
> > >>      --with-dmake-url=
> https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
> > >>      --with-lang="en-US de fr it pt ja"
> > >>      --enable-wiki-publisher
> > >>      --enable-verbose
> > >>      --without-stlport
> > >>      --enable-category-b
> > >>      --enable-opengl
> > >>      --enable-dbus
> > >>      --without-junit
> > >>      --with-package-format="installed archive deb"
> > >>      --enable-bundled-dictionaries
> > >>      --with-vendor=ASF buildbot - NOT FOR RELEASE
> > >>      --with-build-version=%(today)s-Rev.%(got_revision)s
> > >>
> > >>      After that has been finished successfull you can bootstrap
> > >>
> > >>
> > >>
> > >>      On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <
> [hidden email] mailto:[hidden email] > wrote:
> > >>
> > >>
> > >>          > >         Hi all
> > >>>
> > >>>      >
> > >>          > >         I have built AOO from source in previous
> versions using the step-by-step
> > >>>          guide
> > >>>
> > >>>      >     >
> > >>
> > >>          > >
> https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
> > >>>
> > >>>      >
> > >>          > >         Currently (in trunk and all branches from
> > >>>          https://svn.apache.org/repos/asf/openoffice/) there is no
> bootstrap file
> > >>>          (only bootstrap.1 which is not set to execute) so
> > >>>
> > >>>      >
> > >>          > >         ./bootstrap
> > >>>
> > >>>      >
> > >>          > >         doesn't work. Oddly enough I downloaded build
> 4.1.5 which I build
> > >>>          successfully in the past but it only contains bootstrap.1
> > >>>
> > >>>      >
> > >>          > >         Am I missing something?
> > >>>
> > >>>      >
> > >>          > >         Regards,
> > >>>          Pedro
> > >>>
> > >>>      >
> > >
> >
> > ---
> > This email has been checked for viruses by AVG.
> > https://www.avg.com
> >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: [hidden email]
> > For additional commands, e-mail: [hidden email]
> >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Pedro Lino-3
Hi again


>     What I got to know is that binfilter was disabled to reduce the running
>     time in openoffice old versions, so there may be the case of this package
>     is removed from the newer versions.Correct me if i am wrong.
>
So I can ignore this error?


>     and for installing libcups use apt-get install libcups2-dev. It worked for
>     me.
>
Thanks! The error message did not help.

I had previously executed

sudo apt-get install g++ gcc bison flex libarchive-zip-perl libcups2-dev \ libpam0g-dev gperf libfreetype6-dev libxaw7-dev libfontconfig1-dev \ libxrandr-dev patch libgconf2-dev libgnomevfs2-dev ant libgtk2.0-dev \ junit junit4 libidl-dev liborbit2-dev openjdk-8-jdk libwww-perl \ libxml-parser-perl autoconf libssl-dev libpam-dev libgstreamer\*

which includes libcups2-dev, so I don't know why some libraries were not downloaded/installed...

Anyway, I got a bootstrap file and it run without errors!

Thanks!

Cheers,
Pedro



>     On Sun, Feb 3, 2019 at 10:01 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>
>
>         > >
> >             > > >             I suggest rerunning the configure script. If it is successful, a
> > >             bootstrap should appear. If not, you need to investigate what went wrong
> > >             with configure.
> > >
> > >         > >
> >     >
>         > >         I get two errors during configure
> >         configure: WARNING: unrecognized options: --disable-binfilter
> >         and
> >         configure: error: cups/cups.h could not be found. libcupsys2-dev or
> >         cups???-devel missing?
> >
> >     >
>         > >         I tried to install libcupsys2 but got "Unable to locate package
> >         libcupsys2-dev
> >
> >     >
>         > >         Thanks!
> >
> >     >
>         > >
> >             > > >             On 2/3/2019 7:45 AM, Pedro Lino wrote:
> > >
> > >                 > > > >                 Hi Nikhil, all
> > > >
> > > >             > > >
> > >                 > > > >                 I forgot to mention that I'm building now (as I did before) under
> > > >
> > > >             > > >
> > >         > >         Ubuntu 16.04 x64 so I don't need any dll
> >
> >             > > >
> > >                 > > > >                 Any ideas what happened to bootstrap? Should I simply chmod and
> > > >
> > > >             > > >
> > >         > >         execute bootstrap.1?
> >
> >             > > >
> > >                 > > > >                 Should I modify the step-by-step guide?
> > > >
> > > >             > > >
> > >                 > > > >                 Regards,
> > > >                 Pedro
> > > >
> > > >             > > >             >> On February 3, 2019 at 2:32 PM Nikhil Gupta <
> > >
> > >         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>
> > >             >> Hi,
> > >             >> This is the same problem which occurred when I first install AOO,
> > >             >> For bootstraping the project,
> > >             >> First you have to completely satisfy all the General
> > >
> > >         > >         requirements which is
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >                     described in this thread-
> > > > >
> > > > >                 > > > >
> > > >             > > >
> > >         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >> especially unowinreg.dll which you have to save
> > >
> > >         > >         main/external/unowinreg
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >> then follow this mail which i followed for configuration
> > >             >> Peter Kovacs < [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] >
> > >             >>
> > >             >> to dev
> > >             >> You need to do something like:
> > >             >>
> > >             >> autoconf
> > >             >>
> > >             >> ./configure
> > >             >> --with-epm-url=
> > >             >>
> > >
> > >         > >         https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >                     --with-dmake-url=
> > > > >
> > > > >                 > > > >
> > > >             > > >
> > >         > >         https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >                     --with-lang="en-US de fr it pt ja"
> > > > >                     --enable-wiki-publisher
> > > > >                     --enable-verbose
> > > > >                     --without-stlport
> > > > >                     --enable-category-b
> > > > >                     --enable-opengl
> > > > >                     --enable-dbus
> > > > >                     --without-junit
> > > > >                     --with-package-format="installed archive deb"
> > > > >                     --enable-bundled-dictionaries
> > > > >                     --with-vendor=ASF buildbot - NOT FOR RELEASE
> > > > >                     --with-build-version=%(today)s-Rev.%(got_revision)s
> > > > >
> > > > >                 > > > >
> > > >             > > >             >> After that has been finished successfull you can bootstrap
> > >             >>
> > >             >>
> > >             >>
> > >             >> On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <
> > >
> > >         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>
> > >             >> > > Hi all
> > >             >>>
> > >             >>> >
> > >             >> > > I have built AOO from source in previous
> > >
> > >         > >         versions using the step-by-step
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >                         guide
> > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> > >
> > >             >>
> > >             >> > >
> > >
> > >         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> >
> > >             >> > > Currently (in trunk and all branches from
> > >             >>> https://svn.apache.org/repos/asf/openoffice/) there is no
> > >
> > >         > >         bootstrap file
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >                         (only bootstrap.1 which is not set to execute) so
> > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> >
> > >             >> > > ./bootstrap
> > >             >>>
> > >             >>> >
> > >             >> > > doesn't work. Oddly enough I downloaded build
> > >
> > >         > >         4.1.5 which I build
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >                         successfully in the past but it only contains bootstrap.1
> > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> >
> > >             >> > > Am I missing something?
> > >             >>>
> > >             >>> >
> > >             >> > > Regards,
> > >             >>> Pedro
> > >             >>>
> > >             >>> >
> > >             >
> > >
> > >         > >
> >             > > >             ---
> > >             This email has been checked for viruses by AVG.
> > >             https://www.avg.com
> > >
> > >         > >         >
> >
> >             > > >             ---------------------------------------------------------------------
> > >             To unsubscribe, e-mail: [hidden email] mailto:[hidden email]
> > >             For additional commands, e-mail: [hidden email] mailto:[hidden email]
> > >
> > >         > >
> >     >
>         > >         ---------------------------------------------------------------------
> >         To unsubscribe, e-mail: [hidden email] mailto:[hidden email]
> >         For additional commands, e-mail: [hidden email] mailto:[hidden email]
> >
> >     >     >
>
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Pedro Lino-3
In reply to this post by Nikhil Gupta
Hi Nikhil, all

Building 4.1.5 fails with

Reason(s):
ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/ui/report
ERROR: error 65280 occurred while making /source/AOO415/main/sd/source/ui/framework/module
ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/core/sdr
ERROR: error 65280 occurred while making /source/AOO415/main/desktop/source/app
ERROR: error 65280 occurred while making /source/AOO415/main/vbahelper/prj

Any tips?

Thanks!


>     On February 3, 2019 at 4:54 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>
>
>     Hi,
>     What I got to know is that binfilter was disabled to reduce the running
>     time in openoffice old versions, so there may be the case of this package
>     is removed from the newer versions.Correct me if i am wrong.
>     and for installing libcups use apt-get install libcups2-dev. It worked for
>     me.
>
>     On Sun, Feb 3, 2019 at 10:01 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>
>
>         > >
> >             > > >             I suggest rerunning the configure script. If it is successful, a
> > >             bootstrap should appear. If not, you need to investigate what went wrong
> > >             with configure.
> > >
> > >         > >
> >     >
>         > >         I get two errors during configure
> >         configure: WARNING: unrecognized options: --disable-binfilter
> >         and
> >         configure: error: cups/cups.h could not be found. libcupsys2-dev or
> >         cups???-devel missing?
> >
> >     >
>         > >         I tried to install libcupsys2 but got "Unable to locate package
> >         libcupsys2-dev
> >
> >     >
>         > >         Thanks!
> >
> >     >
>         > >
> >             > > >             On 2/3/2019 7:45 AM, Pedro Lino wrote:
> > >
> > >                 > > > >                 Hi Nikhil, all
> > > >
> > > >             > > >
> > >                 > > > >                 I forgot to mention that I'm building now (as I did before) under
> > > >
> > > >             > > >
> > >         > >         Ubuntu 16.04 x64 so I don't need any dll
> >
> >             > > >
> > >                 > > > >                 Any ideas what happened to bootstrap? Should I simply chmod and
> > > >
> > > >             > > >
> > >         > >         execute bootstrap.1?
> >
> >             > > >
> > >                 > > > >                 Should I modify the step-by-step guide?
> > > >
> > > >             > > >
> > >                 > > > >                 Regards,
> > > >                 Pedro
> > > >
> > > >             > > >             >> On February 3, 2019 at 2:32 PM Nikhil Gupta <
> > >
> > >         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>
> > >             >> Hi,
> > >             >> This is the same problem which occurred when I first install AOO,
> > >             >> For bootstraping the project,
> > >             >> First you have to completely satisfy all the General
> > >
> > >         > >         requirements which is
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >                     described in this thread-
> > > > >
> > > > >                 > > > >
> > > >             > > >
> > >         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >> especially unowinreg.dll which you have to save
> > >
> > >         > >         main/external/unowinreg
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >> then follow this mail which i followed for configuration
> > >             >> Peter Kovacs < [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] >
> > >             >>
> > >             >> to dev
> > >             >> You need to do something like:
> > >             >>
> > >             >> autoconf
> > >             >>
> > >             >> ./configure
> > >             >> --with-epm-url=
> > >             >>
> > >
> > >         > >         https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >                     --with-dmake-url=
> > > > >
> > > > >                 > > > >
> > > >             > > >
> > >         > >         https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >                     --with-lang="en-US de fr it pt ja"
> > > > >                     --enable-wiki-publisher
> > > > >                     --enable-verbose
> > > > >                     --without-stlport
> > > > >                     --enable-category-b
> > > > >                     --enable-opengl
> > > > >                     --enable-dbus
> > > > >                     --without-junit
> > > > >                     --with-package-format="installed archive deb"
> > > > >                     --enable-bundled-dictionaries
> > > > >                     --with-vendor=ASF buildbot - NOT FOR RELEASE
> > > > >                     --with-build-version=%(today)s-Rev.%(got_revision)s
> > > > >
> > > > >                 > > > >
> > > >             > > >             >> After that has been finished successfull you can bootstrap
> > >             >>
> > >             >>
> > >             >>
> > >             >> On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <
> > >
> > >         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>
> > >             >> > > Hi all
> > >             >>>
> > >             >>> >
> > >             >> > > I have built AOO from source in previous
> > >
> > >         > >         versions using the step-by-step
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >                         guide
> > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> > >
> > >             >>
> > >             >> > >
> > >
> > >         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> >
> > >             >> > > Currently (in trunk and all branches from
> > >             >>> https://svn.apache.org/repos/asf/openoffice/) there is no
> > >
> > >         > >         bootstrap file
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >                         (only bootstrap.1 which is not set to execute) so
> > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> >
> > >             >> > > ./bootstrap
> > >             >>>
> > >             >>> >
> > >             >> > > doesn't work. Oddly enough I downloaded build
> > >
> > >         > >         4.1.5 which I build
> >
> >             > > >
> > >                 > > > >
> > > >                     > > > > >
> > > > >                         > > > > > >                         successfully in the past but it only contains bootstrap.1
> > > > > >
> > > > > >                     > > > > >
> > > > >                 > > > >
> > > >             > > >             >>> >
> > >             >> > > Am I missing something?
> > >             >>>
> > >             >>> >
> > >             >> > > Regards,
> > >             >>> Pedro
> > >             >>>
> > >             >>> >
> > >             >
> > >
> > >         > >
> >             > > >             ---
> > >             This email has been checked for viruses by AVG.
> > >             https://www.avg.com
> > >
> > >         > >         >
> >
> >             > > >             ---------------------------------------------------------------------
> > >             To unsubscribe, e-mail: [hidden email] mailto:[hidden email]
> > >             For additional commands, e-mail: [hidden email] mailto:[hidden email]
> > >
> > >         > >
> >     >
>         > >         ---------------------------------------------------------------------
> >         To unsubscribe, e-mail: [hidden email] mailto:[hidden email]
> >         For additional commands, e-mail: [hidden email] mailto:[hidden email]
> >
> >     >     >
>
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Don Lewis-2
In reply to this post by Peter Kovacs-3
I'm not sure about Windows, but on all the other platforms it is only
needed to build the optional odk.

On  3 Feb, Peter Kovacs wrote:

> The DLL is also an requirement to be there. Somewhere it says why.
>
> On 03.02.19 16:45, Pedro Lino wrote:
>> Hi Nikhil, all
>>
>> I forgot to mention that I'm building now (as I did before) under Ubuntu 16.04 x64 so I don't need any dll
>> Any ideas what happened to bootstrap? Should I simply chmod and execute bootstrap.1?
>> Should I modify the step-by-step guide?
>>
>> Regards,
>> Pedro
>>
>>>     On February 3, 2019 at 2:32 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>>>
>>>
>>>     Hi,
>>>     This is the same problem which occurred when I first install AOO,
>>>     For bootstraping the project,
>>>     First you have to completely satisfy all the General requirements which is
>>>     described in this thread-
>>>     https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>>>
>>>     especially unowinreg.dll which you have to save main/external/unowinreg
>>>
>>>     then follow this mail which i followed for configuration
>>>     Peter Kovacs < [hidden email] mailto:[hidden email] >
>>>
>>>     to dev
>>>     You need to do something like:
>>>
>>>     autoconf
>>>
>>>     ./configure
>>>     --with-epm-url=
>>>     https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>>>     --with-dmake-url= https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>>>     --with-lang="en-US de fr it pt ja"
>>>     --enable-wiki-publisher
>>>     --enable-verbose
>>>     --without-stlport
>>>     --enable-category-b
>>>     --enable-opengl
>>>     --enable-dbus
>>>     --without-junit
>>>     --with-package-format="installed archive deb"
>>>     --enable-bundled-dictionaries
>>>     --with-vendor=ASF buildbot - NOT FOR RELEASE
>>>     --with-build-version=%(today)s-Rev.%(got_revision)s
>>>
>>>     After that has been finished successfull you can bootstrap
>>>
>>>
>>>
>>>     On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>>>
>>>
>>>         > >         Hi all
>>>>     >
>>>         > >         I have built AOO from source in previous versions using the step-by-step
>>>>         guide
>>>>
>>>>     >     >
>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>>>>     >
>>>         > >         Currently (in trunk and all branches from
>>>>         https://svn.apache.org/repos/asf/openoffice/) there is no bootstrap file
>>>>         (only bootstrap.1 which is not set to execute) so
>>>>
>>>>     >
>>>         > >         ./bootstrap
>>>>     >
>>>         > >         doesn't work. Oddly enough I downloaded build 4.1.5 which I build
>>>>         successfully in the past but it only contains bootstrap.1
>>>>
>>>>     >
>>>         > >         Am I missing something?
>>>>     >
>>>         > >         Regards,
>>>>         Pedro
>>>>
>>>>     >
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Peter Kovacs-3
In reply to this post by Pedro Lino-3
Look above the text message. There should be a hint.

Most often I got ELF Errors, that a library got copied wrong. delete and
restart with the command printed on the bottom will solve this kind. But
there could be something else wrong.

If you do not know I think best is to include the 20 lines above the
fails line.


All the Best

Peter

On 03.02.19 22:47, Pedro Lino wrote:

> Hi Nikhil, all
>
> Building 4.1.5 fails with
>
> Reason(s):
> ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/ui/report
> ERROR: error 65280 occurred while making /source/AOO415/main/sd/source/ui/framework/module
> ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/core/sdr
> ERROR: error 65280 occurred while making /source/AOO415/main/desktop/source/app
> ERROR: error 65280 occurred while making /source/AOO415/main/vbahelper/prj
>
> Any tips?
>
> Thanks!
>
>
>>     On February 3, 2019 at 4:54 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>>
>>
>>     Hi,
>>     What I got to know is that binfilter was disabled to reduce the running
>>     time in openoffice old versions, so there may be the case of this package
>>     is removed from the newer versions.Correct me if i am wrong.
>>     and for installing libcups use apt-get install libcups2-dev. It worked for
>>     me.
>>
>>     On Sun, Feb 3, 2019 at 10:01 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>>
>>
>>         > >
>>>             > > >             I suggest rerunning the configure script. If it is successful, a
>>>>             bootstrap should appear. If not, you need to investigate what went wrong
>>>>             with configure.
>>>>
>>>>         > >
>>>     >
>>         > >         I get two errors during configure
>>>         configure: WARNING: unrecognized options: --disable-binfilter
>>>         and
>>>         configure: error: cups/cups.h could not be found. libcupsys2-dev or
>>>         cups???-devel missing?
>>>
>>>     >
>>         > >         I tried to install libcupsys2 but got "Unable to locate package
>>>         libcupsys2-dev
>>>
>>>     >
>>         > >         Thanks!
>>>     >
>>         > >
>>>             > > >             On 2/3/2019 7:45 AM, Pedro Lino wrote:
>>>>                 > > > >                 Hi Nikhil, all
>>>>>             > > >
>>>>                 > > > >                 I forgot to mention that I'm building now (as I did before) under
>>>>>             > > >
>>>>         > >         Ubuntu 16.04 x64 so I don't need any dll
>>>             > > >
>>>>                 > > > >                 Any ideas what happened to bootstrap? Should I simply chmod and
>>>>>             > > >
>>>>         > >         execute bootstrap.1?
>>>             > > >
>>>>                 > > > >                 Should I modify the step-by-step guide?
>>>>>             > > >
>>>>                 > > > >                 Regards,
>>>>>                 Pedro
>>>>>
>>>>>             > > >             >> On February 3, 2019 at 2:32 PM Nikhil Gupta <
>>>>         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >>
>>>>             >> Hi,
>>>>             >> This is the same problem which occurred when I first install AOO,
>>>>             >> For bootstraping the project,
>>>>             >> First you have to completely satisfy all the General
>>>>
>>>>         > >         requirements which is
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >                     described in this thread-
>>>>>>                 > > > >
>>>>>             > > >
>>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >> especially unowinreg.dll which you have to save
>>>>         > >         main/external/unowinreg
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >> then follow this mail which i followed for configuration
>>>>             >> Peter Kovacs < [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] >
>>>>             >>
>>>>             >> to dev
>>>>             >> You need to do something like:
>>>>             >>
>>>>             >> autoconf
>>>>             >>
>>>>             >> ./configure
>>>>             >> --with-epm-url=
>>>>             >>
>>>>
>>>>         > >         https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >                     --with-dmake-url=
>>>>>>                 > > > >
>>>>>             > > >
>>>>         > >         https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >                     --with-lang="en-US de fr it pt ja"
>>>>>>                     --enable-wiki-publisher
>>>>>>                     --enable-verbose
>>>>>>                     --without-stlport
>>>>>>                     --enable-category-b
>>>>>>                     --enable-opengl
>>>>>>                     --enable-dbus
>>>>>>                     --without-junit
>>>>>>                     --with-package-format="installed archive deb"
>>>>>>                     --enable-bundled-dictionaries
>>>>>>                     --with-vendor=ASF buildbot - NOT FOR RELEASE
>>>>>>                     --with-build-version=%(today)s-Rev.%(got_revision)s
>>>>>>
>>>>>>                 > > > >
>>>>>             > > >             >> After that has been finished successfull you can bootstrap
>>>>             >>
>>>>             >>
>>>>             >>
>>>>             >> On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <
>>>>
>>>>         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >>
>>>>             >> > > Hi all
>>>>             >>>
>>>>             >>> >
>>>>             >> > > I have built AOO from source in previous
>>>>
>>>>         > >         versions using the step-by-step
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                         > > > > > >                         guide
>>>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >>> > >
>>>>             >>
>>>>             >> > >
>>>>
>>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                         > > > > > >
>>>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >>> >
>>>>             >> > > Currently (in trunk and all branches from
>>>>             >>> https://svn.apache.org/repos/asf/openoffice/) there is no
>>>>
>>>>         > >         bootstrap file
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                         > > > > > >                         (only bootstrap.1 which is not set to execute) so
>>>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >>> >
>>>>             >> > > ./bootstrap
>>>>             >>>
>>>>             >>> >
>>>>             >> > > doesn't work. Oddly enough I downloaded build
>>>>
>>>>         > >         4.1.5 which I build
>>>             > > >
>>>>                 > > > >
>>>>>                     > > > > >
>>>>>>                         > > > > > >                         successfully in the past but it only contains bootstrap.1
>>>>>>>                     > > > > >
>>>>>>                 > > > >
>>>>>             > > >             >>> >
>>>>             >> > > Am I missing something?
>>>>             >>>
>>>>             >>> >
>>>>             >> > > Regards,
>>>>             >>> Pedro
>>>>             >>>
>>>>             >>> >
>>>>             >
>>>>
>>>>         > >
>>>             > > >             ---
>>>>             This email has been checked for viruses by AVG.
>>>>             https://www.avg.com
>>>>
>>>>         > >         >
>>>             > > >             ---------------------------------------------------------------------
>>>>             To unsubscribe, e-mail: [hidden email] mailto:[hidden email]
>>>>             For additional commands, e-mail: [hidden email] mailto:[hidden email]
>>>>
>>>>         > >
>>>     >
>>         > >         ---------------------------------------------------------------------
>>>         To unsubscribe, e-mail: [hidden email] mailto:[hidden email]
>>>         For additional commands, e-mail: [hidden email] mailto:[hidden email]
>>>
>>>     >     >

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Mechtilde Stehmann-2
Hello,

what das "ELF" means?
thanks

Mechtilde

Am 10.02.19 um 04:50 schrieb Peter Kovacs:

> Look above the text message. There should be a hint.
>
> Most often I got ELF Errors, that a library got copied wrong. delete and
> restart with the command printed on the bottom will solve this kind. But
> there could be something else wrong.
>
> If you do not know I think best is to include the 20 lines above the
> fails line.
>
>
> All the Best
>
> Peter
>
> On 03.02.19 22:47, Pedro Lino wrote:
>> Hi Nikhil, all
>>
>> Building 4.1.5 fails with
>>
>> Reason(s):
>> ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/ui/report
>> ERROR: error 65280 occurred while making /source/AOO415/main/sd/source/ui/framework/module
>> ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/core/sdr
>> ERROR: error 65280 occurred while making /source/AOO415/main/desktop/source/app
>> ERROR: error 65280 occurred while making /source/AOO415/main/vbahelper/prj
>>
>> Any tips?
>>
>> Thanks!
>>
>>
>>>     On February 3, 2019 at 4:54 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>>>
>>>
>>>     Hi,
>>>     What I got to know is that binfilter was disabled to reduce the running
>>>     time in openoffice old versions, so there may be the case of this package
>>>     is removed from the newer versions.Correct me if i am wrong.
>>>     and for installing libcups use apt-get install libcups2-dev. It worked for
>>>     me.
>>>
>>>     On Sun, Feb 3, 2019 at 10:01 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>>>
>>>
>>>         > >
>>>>             > > >             I suggest rerunning the configure script. If it is successful, a
>>>>>             bootstrap should appear. If not, you need to investigate what went wrong
>>>>>             with configure.
>>>>>
>>>>>         > >
>>>>     >
>>>         > >         I get two errors during configure
>>>>         configure: WARNING: unrecognized options: --disable-binfilter
>>>>         and
>>>>         configure: error: cups/cups.h could not be found. libcupsys2-dev or
>>>>         cups???-devel missing?
>>>>
>>>>     >
>>>         > >         I tried to install libcupsys2 but got "Unable to locate package
>>>>         libcupsys2-dev
>>>>
>>>>     >
>>>         > >         Thanks!
>>>>     >
>>>         > >
>>>>             > > >             On 2/3/2019 7:45 AM, Pedro Lino wrote:
>>>>>                 > > > >                 Hi Nikhil, all
>>>>>>             > > >
>>>>>                 > > > >                 I forgot to mention that I'm building now (as I did before) under
>>>>>>             > > >
>>>>>         > >         Ubuntu 16.04 x64 so I don't need any dll
>>>>             > > >
>>>>>                 > > > >                 Any ideas what happened to bootstrap? Should I simply chmod and
>>>>>>             > > >
>>>>>         > >         execute bootstrap.1?
>>>>             > > >
>>>>>                 > > > >                 Should I modify the step-by-step guide?
>>>>>>             > > >
>>>>>                 > > > >                 Regards,
>>>>>>                 Pedro
>>>>>>
>>>>>>             > > >             >> On February 3, 2019 at 2:32 PM Nikhil Gupta <
>>>>>         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >>
>>>>>             >> Hi,
>>>>>             >> This is the same problem which occurred when I first install AOO,
>>>>>             >> For bootstraping the project,
>>>>>             >> First you have to completely satisfy all the General
>>>>>
>>>>>         > >         requirements which is
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >                     described in this thread-
>>>>>>>                 > > > >
>>>>>>             > > >
>>>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >> especially unowinreg.dll which you have to save
>>>>>         > >         main/external/unowinreg
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >> then follow this mail which i followed for configuration
>>>>>             >> Peter Kovacs < [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] >
>>>>>             >>
>>>>>             >> to dev
>>>>>             >> You need to do something like:
>>>>>             >>
>>>>>             >> autoconf
>>>>>             >>
>>>>>             >> ./configure
>>>>>             >> --with-epm-url=
>>>>>             >>
>>>>>
>>>>>         > >         https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >                     --with-dmake-url=
>>>>>>>                 > > > >
>>>>>>             > > >
>>>>>         > >         https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >                     --with-lang="en-US de fr it pt ja"
>>>>>>>                     --enable-wiki-publisher
>>>>>>>                     --enable-verbose
>>>>>>>                     --without-stlport
>>>>>>>                     --enable-category-b
>>>>>>>                     --enable-opengl
>>>>>>>                     --enable-dbus
>>>>>>>                     --without-junit
>>>>>>>                     --with-package-format="installed archive deb"
>>>>>>>                     --enable-bundled-dictionaries
>>>>>>>                     --with-vendor=ASF buildbot - NOT FOR RELEASE
>>>>>>>                     --with-build-version=%(today)s-Rev.%(got_revision)s
>>>>>>>
>>>>>>>                 > > > >
>>>>>>             > > >             >> After that has been finished successfull you can bootstrap
>>>>>             >>
>>>>>             >>
>>>>>             >>
>>>>>             >> On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <
>>>>>
>>>>>         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >>
>>>>>             >> > > Hi all
>>>>>             >>>
>>>>>             >>> >
>>>>>             >> > > I have built AOO from source in previous
>>>>>
>>>>>         > >         versions using the step-by-step
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                         > > > > > >                         guide
>>>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >>> > >
>>>>>             >>
>>>>>             >> > >
>>>>>
>>>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                         > > > > > >
>>>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >>> >
>>>>>             >> > > Currently (in trunk and all branches from
>>>>>             >>> https://svn.apache.org/repos/asf/openoffice/) there is no
>>>>>
>>>>>         > >         bootstrap file
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                         > > > > > >                         (only bootstrap.1 which is not set to execute) so
>>>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >>> >
>>>>>             >> > > ./bootstrap
>>>>>             >>>
>>>>>             >>> >
>>>>>             >> > > doesn't work. Oddly enough I downloaded build
>>>>>
>>>>>         > >         4.1.5 which I build
>>>>             > > >
>>>>>                 > > > >
>>>>>>                     > > > > >
>>>>>>>                         > > > > > >                         successfully in the past but it only contains bootstrap.1
>>>>>>>>                     > > > > >
>>>>>>>                 > > > >
>>>>>>             > > >             >>> >
>>>>>             >> > > Am I missing something?
>>>>>             >>>
>>>>>             >>> >
>>>>>             >> > > Regards,
>>>>>             >>> Pedro
>>>>>             >>>
>>>>>             >>> >
>>>>>             >
>>>>>
>>>>>         > >
>>>>             > > >             ---
>>>>>             This email has been checked for viruses by AVG.
>>>>>             https://www.avg.com
>>>>>
>>>>>         > >         >


signature.asc (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Bootstrap?

Peter Kovacs-3
The german wiki describes it here:

https://de.wikipedia.org/wiki/Executable_and_Linking_Format


On 10.02.19 09:46, Mechtilde wrote:

> Hello,
>
> what das "ELF" means?
> thanks
>
> Mechtilde
>
> Am 10.02.19 um 04:50 schrieb Peter Kovacs:
>> Look above the text message. There should be a hint.
>>
>> Most often I got ELF Errors, that a library got copied wrong. delete and
>> restart with the command printed on the bottom will solve this kind. But
>> there could be something else wrong.
>>
>> If you do not know I think best is to include the 20 lines above the
>> fails line.
>>
>>
>> All the Best
>>
>> Peter
>>
>> On 03.02.19 22:47, Pedro Lino wrote:
>>> Hi Nikhil, all
>>>
>>> Building 4.1.5 fails with
>>>
>>> Reason(s):
>>> ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/ui/report
>>> ERROR: error 65280 occurred while making /source/AOO415/main/sd/source/ui/framework/module
>>> ERROR: error 65280 occurred while making /source/AOO415/main/reportdesign/source/core/sdr
>>> ERROR: error 65280 occurred while making /source/AOO415/main/desktop/source/app
>>> ERROR: error 65280 occurred while making /source/AOO415/main/vbahelper/prj
>>>
>>> Any tips?
>>>
>>> Thanks!
>>>
>>>
>>>>     On February 3, 2019 at 4:54 PM Nikhil Gupta < [hidden email] mailto:[hidden email] > wrote:
>>>>
>>>>
>>>>     Hi,
>>>>     What I got to know is that binfilter was disabled to reduce the running
>>>>     time in openoffice old versions, so there may be the case of this package
>>>>     is removed from the newer versions.Correct me if i am wrong.
>>>>     and for installing libcups use apt-get install libcups2-dev. It worked for
>>>>     me.
>>>>
>>>>     On Sun, Feb 3, 2019 at 10:01 PM Pedro Lino < [hidden email] mailto:[hidden email] > wrote:
>>>>
>>>>
>>>>         > >
>>>>>             > > >             I suggest rerunning the configure script. If it is successful, a
>>>>>>             bootstrap should appear. If not, you need to investigate what went wrong
>>>>>>             with configure.
>>>>>>
>>>>>>         > >
>>>>>     >
>>>>         > >         I get two errors during configure
>>>>>         configure: WARNING: unrecognized options: --disable-binfilter
>>>>>         and
>>>>>         configure: error: cups/cups.h could not be found. libcupsys2-dev or
>>>>>         cups???-devel missing?
>>>>>
>>>>>     >
>>>>         > >         I tried to install libcupsys2 but got "Unable to locate package
>>>>>         libcupsys2-dev
>>>>>
>>>>>     >
>>>>         > >         Thanks!
>>>>>     >
>>>>         > >
>>>>>             > > >             On 2/3/2019 7:45 AM, Pedro Lino wrote:
>>>>>>                 > > > >                 Hi Nikhil, all
>>>>>>>             > > >
>>>>>>                 > > > >                 I forgot to mention that I'm building now (as I did before) under
>>>>>>>             > > >
>>>>>>         > >         Ubuntu 16.04 x64 so I don't need any dll
>>>>>             > > >
>>>>>>                 > > > >                 Any ideas what happened to bootstrap? Should I simply chmod and
>>>>>>>             > > >
>>>>>>         > >         execute bootstrap.1?
>>>>>             > > >
>>>>>>                 > > > >                 Should I modify the step-by-step guide?
>>>>>>>             > > >
>>>>>>                 > > > >                 Regards,
>>>>>>>                 Pedro
>>>>>>>
>>>>>>>             > > >             >> On February 3, 2019 at 2:32 PM Nikhil Gupta <
>>>>>>         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >>
>>>>>>             >> Hi,
>>>>>>             >> This is the same problem which occurred when I first install AOO,
>>>>>>             >> For bootstraping the project,
>>>>>>             >> First you have to completely satisfy all the General
>>>>>>
>>>>>>         > >         requirements which is
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >                     described in this thread-
>>>>>>>>                 > > > >
>>>>>>>             > > >
>>>>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >> especially unowinreg.dll which you have to save
>>>>>>         > >         main/external/unowinreg
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >> then follow this mail which i followed for configuration
>>>>>>             >> Peter Kovacs < [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] >
>>>>>>             >>
>>>>>>             >> to dev
>>>>>>             >> You need to do something like:
>>>>>>             >>
>>>>>>             >> autoconf
>>>>>>             >>
>>>>>>             >> ./configure
>>>>>>             >> --with-epm-url=
>>>>>>             >>
>>>>>>
>>>>>>         > >         https://sourceforge.net/projects/oooextras.mirror/files/epm-3.7.tar.gz
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >                     --with-dmake-url=
>>>>>>>>                 > > > >
>>>>>>>             > > >
>>>>>>         > >         https://sourceforge.net/projects/oooextras.mirror/files/dmake-4.12.tar.bz2
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >                     --with-lang="en-US de fr it pt ja"
>>>>>>>>                     --enable-wiki-publisher
>>>>>>>>                     --enable-verbose
>>>>>>>>                     --without-stlport
>>>>>>>>                     --enable-category-b
>>>>>>>>                     --enable-opengl
>>>>>>>>                     --enable-dbus
>>>>>>>>                     --without-junit
>>>>>>>>                     --with-package-format="installed archive deb"
>>>>>>>>                     --enable-bundled-dictionaries
>>>>>>>>                     --with-vendor=ASF buildbot - NOT FOR RELEASE
>>>>>>>>                     --with-build-version=%(today)s-Rev.%(got_revision)s
>>>>>>>>
>>>>>>>>                 > > > >
>>>>>>>             > > >             >> After that has been finished successfull you can bootstrap
>>>>>>             >>
>>>>>>             >>
>>>>>>             >>
>>>>>>             >> On Sun, Feb 3, 2019 at 7:08 PM Pedro Lino <
>>>>>>
>>>>>>         > >         [hidden email] mailto:[hidden email] mailto: [hidden email] mailto:[hidden email] > wrote:
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >>
>>>>>>             >> > > Hi all
>>>>>>             >>>
>>>>>>             >>> >
>>>>>>             >> > > I have built AOO from source in previous
>>>>>>
>>>>>>         > >         versions using the step-by-step
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                         > > > > > >                         guide
>>>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >>> > >
>>>>>>             >>
>>>>>>             >> > >
>>>>>>
>>>>>>         > >         https://wiki.openoffice.org/wiki/Documentation/Building_Guide_AOO/Step_by_step
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                         > > > > > >
>>>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >>> >
>>>>>>             >> > > Currently (in trunk and all branches from
>>>>>>             >>> https://svn.apache.org/repos/asf/openoffice/) there is no
>>>>>>
>>>>>>         > >         bootstrap file
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                         > > > > > >                         (only bootstrap.1 which is not set to execute) so
>>>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >>> >
>>>>>>             >> > > ./bootstrap
>>>>>>             >>>
>>>>>>             >>> >
>>>>>>             >> > > doesn't work. Oddly enough I downloaded build
>>>>>>
>>>>>>         > >         4.1.5 which I build
>>>>>             > > >
>>>>>>                 > > > >
>>>>>>>                     > > > > >
>>>>>>>>                         > > > > > >                         successfully in the past but it only contains bootstrap.1
>>>>>>>>>                     > > > > >
>>>>>>>>                 > > > >
>>>>>>>             > > >             >>> >
>>>>>>             >> > > Am I missing something?
>>>>>>             >>>
>>>>>>             >>> >
>>>>>>             >> > > Regards,
>>>>>>             >>> Pedro
>>>>>>             >>>
>>>>>>             >>> >
>>>>>>             >
>>>>>>
>>>>>>         > >
>>>>>             > > >             ---
>>>>>>             This email has been checked for viruses by AVG.
>>>>>>             https://www.avg.com
>>>>>>
>>>>>>         > >         >
>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]